@import '../../../../../../../../../vendor/scandipwa/source/src/app/component/VideoThumbnail/VideoThumbnail.style';

.VideoThumbnail {
    &-PlayIcon {
        width: initial;
        height: initial;
        border: none;
        background: rgba(0, 0, 0, 0.3);

        &:hover {
            span {
                color: $black;
                background-color: $white;
            }
        }

        span {
            padding: 14px 46px;
            border: 1px solid $white;
            top: calc(50% - 16px);
            color: $white;
            font-size: 14px;
            font-weight: 500;
            text-transform: uppercase;
            line-height: 24px;
        }
    }

    &-Button {
        &:active,
        &:hover {
            --video-play-icon-transform: none;
        }
    }

    .Image-Image {
        object-fit: cover;
    }
}
